The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"php+gd compile problem"
Вариант для распечатки  
Пред. тема | След. тема 
Форум WEB технологии (PHP)
Изначальное сообщение [ Отслеживать ]

"php+gd compile problem"  +/
Сообщение от Encapsulin email(??) on 31-Май-05, 14:29 
Всем привет,
пытаюсь скомпиллировать php+gd:

# cd php-4.3.9
# ./configure --with-gd=/usr/local/src/gd-2.0.33/ --with-png-dir=/usr/local/src/libpng-1.2.8/ --with-zlib-dir=/usr/local/src/zlib/
[enter]
...
checking for GD support... yes
checking for the location of libpng... /usr/local/src/libpng-1.2.8/
If configure fails try --with-jpeg-dir=<DIR>
configure: error: libpng.(a|so) not found.

Почему libpng.(a|so) not found ? Своими глазами вижу:
# ls -l /usr/local/src/libpng-1.2.8/libpng.a
-rw-r--r--  1 root  wheel  160448 May 31 12:48
/usr/local/src/libpng-1.2.8/libpng.a

Если в конфиге рнр указываю --with-jpeg-dir=/usr/local/src/jpeg-6b/
то
configure: error: libjpeg.(a|so) not found.

Где я неправ? Где в сети почитать об установке php + gd + libjpeg + libpng ?

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "php+gd compile problem"  +/
Сообщение от Lucky email(??) on 02-Июн-05, 09:14 
>Всем привет,
>пытаюсь скомпиллировать php+gd:
>
># cd php-4.3.9
># ./configure --with-gd=/usr/local/src/gd-2.0.33/ --with-png-dir=/usr/local/src/libpng-1.2.8/ --with-zlib-dir=/usr/local/src/zlib/
>[enter]
>...
>checking for GD support... yes
>checking for the location of libpng... /usr/local/src/libpng-1.2.8/
>If configure fails try --with-jpeg-dir=<DIR>
>configure: error: libpng.(a|so) not found.
>
>Почему libpng.(a|so) not found ? Своими глазами вижу:
># ls -l /usr/local/src/libpng-1.2.8/libpng.a
>-rw-r--r--  1 root  wheel  160448 May 31 12:48
>/usr/local/src/libpng-1.2.8/libpng.a
>
>Если в конфиге рнр указываю --with-jpeg-dir=/usr/local/src/jpeg-6b/
>то
>configure: error: libjpeg.(a|so) not found.
>
>Где я неправ? Где в сети почитать об установке php + gd
>+ libjpeg + libpng ?

я бы так сделал, собрал бы свою gd сначала с поддержкой всего, что требуется, а при сборке php уже собирал бы его не с родной gd, а со своей собранной.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "php+gd compile problem"  +/
Сообщение от Bugs email(??) on 22-Июл-05, 10:54 
>>Всем привет,
>>пытаюсь скомпиллировать php+gd:
>>
>># cd php-4.3.9
>># ./configure --with-gd=/usr/local/src/gd-2.0.33/ --with-png-dir=/usr/local/src/libpng-1.2.8/ --with-zlib-dir=/usr/local/src/zlib/
>>[enter]
>>...
>>checking for GD support... yes
>>checking for the location of libpng... /usr/local/src/libpng-1.2.8/
>>If configure fails try --with-jpeg-dir=<DIR>
>>configure: error: libpng.(a|so) not found.
>>
>>Почему libpng.(a|so) not found ? Своими глазами вижу:
>># ls -l /usr/local/src/libpng-1.2.8/libpng.a
>>-rw-r--r--  1 root  wheel  160448 May 31 12:48
>>/usr/local/src/libpng-1.2.8/libpng.a
>>
>>Если в конфиге рнр указываю --with-jpeg-dir=/usr/local/src/jpeg-6b/
>>то
>>configure: error: libjpeg.(a|so) not found.
>>
>>Где я неправ? Где в сети почитать об установке php + gd
>>+ libjpeg + libpng ?
>
>я бы так сделал, собрал бы свою gd сначала с поддержкой всего,
>что требуется, а при сборке php уже собирал бы его не
>с родной gd, а со своей собранной.

для начала проверь
rpm -qa | grep libpng
rpm -qa | grep libjpeg

должно выдать например для jpeg-a :
libjpeg-6b-33
libjpeg-devel-6b-33

если нет - то на инсталяциооных дисках иши libjpeg-6b-33.i386.rpm или что-то похожее
ну и соответственно ставишь rpm -Uhv libjpeg-6b-33.i386.rpm

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "php+gd compile problem"  +/
Сообщение от Zap email on 26-Авг-06, 22:01 
>>>Если в конфиге рнр указываю --with-jpeg-dir=/usr/local/src/jpeg-6b/
>>>то
>>>configure: error: libjpeg.(a|so) not found.
>>>
>>>Где я неправ? Где в сети почитать об установке php + gd
>>>+ libjpeg + libpng ?

Столкнулся с похожей проблемой с libjpeg. При конфигурации с параметром --with-jpeg-dir=<директория, где лежал libjpeg.a> получал ошибку: configure: error: libjpeg.(a|so) not found.

Получилось избегнуть ошибки после того как я положил libjpeg.a в директорию с кодом PHP и указал в параметре конфигурации текущую директорию --with-jpeg-dir=.

Возможно дело было в разрешениях.

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "php+gd compile problem"  +/
Сообщение от Sush email on 14-Окт-07, 19:12 
установите libjpeg-devel и всё заработает


Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

5. "php+gd compile problem"  +/
Сообщение от serg (??) on 14-Май-09, 21:31 
>установите libjpeg-devel и всё заработает

почему?
почему для сборки нужны библиотеки с окончанием devel, чем они отличаются от обычных библиотек?


Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

6. "php+gd compile problem"  +/
Сообщение от Андрей (??) on 19-Окт-09, 11:59 
>>установите libjpeg-devel и всё заработает
>
>почему?
>почему для сборки нужны библиотеки с окончанием devel, чем они отличаются от
>обычных библиотек?

Долго искал решение,
Решение нашлось в комментах на php.net:

    I have to say recompiling PHP from the sources and enabling JPEG support in gd took me awhile to figure out.

    Somewhere especially configure –help should have stated that –with-jpeg-dir is MANDATORY if you want to have JPEG support. And even if you did so, it doesn’t mean you’ll get it. If it’s wrongly configured, no error is going to be output, all you get is "no JPEG support". What’s more confusing is when JPEG support is disabled phpinfo won’t say "JPEG Support: disabled", but just omit the entry so you won’t even realize something is wrong.

    If you recompile PHP or gd, make sure:

        * "rm -f config.cache" FIRST
        * "make clean" (this helps A LOT), actually you can just delete modules/gd.*, and every *.o in ext/gd. this part actually gave me the best headache
        * "./configure –with-jpeg-dir=/usr/lib" OR any other directory which contains the BINARY library of libjpeg
        * "make && make install"

    phpinfo should now display jpeg support… good luck.
    (you lucky guys who already have PHP 5 installed on your server… you don’t have to go through all the mess I had)


Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

7. "php+gd compile problem"  +/
Сообщение от weberdever email on 02-Мрт-11, 18:57 
>[оверквотинг удален]
> configure: error: libpng.(a|so) not found.
> Почему libpng.(a|so) not found ? Своими глазами вижу:
> # ls -l /usr/local/src/libpng-1.2.8/libpng.a
> -rw-r--r--  1 root  wheel  160448 May 31 12:48
> /usr/local/src/libpng-1.2.8/libpng.a
> Если в конфиге рнр указываю --with-jpeg-dir=/usr/local/src/jpeg-6b/
> то
> configure: error: libjpeg.(a|so) not found.
> Где я неправ? Где в сети почитать об установке php + gd
> + libjpeg + libpng ?

Если система 64-ех битная и библиотеки лежат в директории отличной от lib надо указать --with-libdir=<ваша директория>. В моем случае было так:  --with-libdir=lib64

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру